Subject: Re: [user] git-svn and svn cp

From: Eric Wong <[email-masked]>
Date: Mon, 19 Nov 2007 08:26:12 -0800

[email-masked] wrote:
> I hope this is the correct mailing list. If not please point me in the 
> right direction.
> 
> 
> I played a little with git (1.5.3.4 / debian) and had the following 
> observation:
> Doing a "svn cp" (for example for a tag) results in a large traffic when 
> doing a "git-svn fetch" afterwards.
> 
> To verify I did:
> git-svn clone -s svn://www.ogersoft.at/ogerlit
> git-svn fetch
> svn cp svn://... svn://... (one file ca 3mb)
> svk checkout (a tcpflow output of about 3k - plaintext commands, I think 
> a svn checkout would be the same)
> git-svn fetch (a tcpflow output of 700k - containing a textdelta of 
> nearly 700k)
> 
> 
> So the question remains:
> Does svn-git dont know about lightweight svn copies?
> or can svn-git not handle them correct by now?
> or did I something wrong?

Older versions of the Perl SVN bindings have a broken do_switch()
function, so I fall back to the do_update() function which re-downloads
the whole tree instead..

SVN 1.4.4+ has this fix which allows do_switch() to be used instead of
do_update().

do_switch() will only download the delta between two trees if the parent
is present.

If you don't have easy access to 1.4.4+ packages, I have patched 1.4.3
(x86) packages here for Debian Etch (I haven't built 1.4.4 or 1.4.5 yet):

http://git-svn.yhbt.net/svn/

-- 
Eric Wong